Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class SynchronizedSymbolTable

    java.lang.Object
      weblogic.apache.xerces.util.SymbolTable
          weblogic.apache.xerces.util.SynchronizedSymbolTable

Deprecated. please use JDK supplied XML parsers and transformers

public final class SynchronizedSymbolTable
extends SymbolTable

Synchronized symbol table. This class moved into the util package since it's needed by multiple other classes (CachingParserPool, XMLGrammarCachingConfiguration).

Nested Class Summary

Nested classes inherited from class weblogic.apache.xerces.util.SymbolTable
`SymbolTable.Entry`

Field Summary
`protected SymbolTable` | `fSymbolTable` Deprecated. Main symbol table.

Fields inherited from class weblogic.apache.xerces.util.SymbolTable
`fBuckets, fTableSize, TABLE_SIZE`

Constructor Summary
`SynchronizedSymbolTable()` Deprecated.
`SynchronizedSymbolTable(int size)` Deprecated.
`SynchronizedSymbolTable(SymbolTable symbolTable)` Deprecated. Constructs a synchronized symbol table.

Method Summary
`String` | `addSymbol(char[] buffer, int offset, int length)` Deprecated. Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`String` | `addSymbol(String symbol)` Deprecated. Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`boolean` | `containsSymbol(char[] buffer, int offset, int length)` Deprecated. Returns true if the symbol table already contains the specified symbol.
`boolean` | `containsSymbol(String symbol)` Deprecated. Returns true if the symbol table already contains the specified symbol.

Methods inherited from class weblogic.apache.xerces.util.SymbolTable
`hash, hash`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Main symbol table.

Constructor Detail

### SynchronizedSymbolTable

    public SynchronizedSymbolTable()

  Deprecated.

### SynchronizedSymbolTable

    public SynchronizedSymbolTable(int size)

  Deprecated.

### SynchronizedSymbolTable

    public SynchronizedSymbolTable(SymbolTable symbolTable)

  Deprecated.
  Constructs a synchronized symbol table.

Method Detail

### addSymbol

    public String addSymbol(char[] buffer,
                            int offset,
                            int length)

  Deprecated.
  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `buffer` - The buffer containing the new symbol.
    `offset` - The offset into the buffer of the new symbol.
    `length` - The length of the new symbol in the buffer.

### addSymbol

    public String addSymbol(String symbol)

  Deprecated.
  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.

  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `symbol` - The new symbol.

### containsSymbol

    public boolean containsSymbol(char[] buffer,
                                  int offset,
                                  int length)

  Deprecated.
  Returns true if the symbol table already contains the specified symbol.

  Overrides:
    `containsSymbol` in class `SymbolTable`
  Parameters:
    `buffer` - The buffer containing the symbol to look for.
    `offset` - The offset into the buffer.
    `length` - The length of the symbol in the buffer.

### containsSymbol

    public boolean containsSymbol(String symbol)

  Deprecated.
  Returns true if the symbol table already contains the specified symbol.

  Overrides:
    `containsSymbol` in class `SymbolTable`
  Parameters:
    `symbol` - The symbol to look for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD